import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_DescribeWarmPoolCommand, se_DescribeWarmPoolCommand } from "../protocols/Aws_query";
export { $Command };
export class DescribeWarmPoolCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AutoScaling_2011_01_01", "DescribeWarmPool", {})
    .n("AutoScalingClient", "DescribeWarmPoolCommand")
    .f(void 0, void 0)
    .ser(se_DescribeWarmPoolCommand)
    .de(de_DescribeWarmPoolCommand)
    .build() {
}
