import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { de_DisableMetricsCollectionCommand, se_DisableMetricsCollectionCommand } from "../protocols/Aws_query";
export { $Command };
export class DisableMetricsCollectionCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AutoScaling_2011_01_01", "DisableMetricsCollection", {})
    .n("AutoScalingClient", "DisableMetricsCollectionCommand")
    .f(void 0, void 0)
    .ser(se_DisableMetricsCollectionCommand)
    .de(de_DisableMetricsCollectionCommand)
    .build() {
}
