import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import {
  AttachInstancesCommandInput,
  AttachInstancesCommandOutput,
} from "../commands/AttachInstancesCommand";
import {
  AttachLoadBalancersCommandInput,
  AttachLoadBalancersCommandOutput,
} from "../commands/AttachLoadBalancersCommand";
import {
  AttachLoadBalancerTargetGroupsCommandInput,
  AttachLoadBalancerTargetGroupsCommandOutput,
} from "../commands/AttachLoadBalancerTargetGroupsCommand";
import {
  AttachTrafficSourcesCommandInput,
  AttachTrafficSourcesCommandOutput,
} from "../commands/AttachTrafficSourcesCommand";
import {
  BatchDeleteScheduledActionCommandInput,
  BatchDeleteScheduledActionCommandOutput,
} from "../commands/BatchDeleteScheduledActionCommand";
import {
  BatchPutScheduledUpdateGroupActionCommandInput,
  BatchPutScheduledUpdateGroupActionCommandOutput,
} from "../commands/BatchPutScheduledUpdateGroupActionCommand";
import {
  CancelInstanceRefreshCommandInput,
  CancelInstanceRefreshCommandOutput,
} from "../commands/CancelInstanceRefreshCommand";
import {
  CompleteLifecycleActionCommandInput,
  CompleteLifecycleActionCommandOutput,
} from "../commands/CompleteLifecycleActionCommand";
import {
  CreateAutoScalingGroupCommandInput,
  CreateAutoScalingGroupCommandOutput,
} from "../commands/CreateAutoScalingGroupCommand";
import {
  CreateLaunchConfigurationCommandInput,
  CreateLaunchConfigurationCommandOutput,
} from "../commands/CreateLaunchConfigurationCommand";
import {
  CreateOrUpdateTagsCommandInput,
  CreateOrUpdateTagsCommandOutput,
} from "../commands/CreateOrUpdateTagsCommand";
import {
  DeleteAutoScalingGroupCommandInput,
  DeleteAutoScalingGroupCommandOutput,
} from "../commands/DeleteAutoScalingGroupCommand";
import {
  DeleteLaunchConfigurationCommandInput,
  DeleteLaunchConfigurationCommandOutput,
} from "../commands/DeleteLaunchConfigurationCommand";
import {
  DeleteLifecycleHookCommandInput,
  DeleteLifecycleHookCommandOutput,
} from "../commands/DeleteLifecycleHookCommand";
import {
  DeleteNotificationConfigurationCommandInput,
  DeleteNotificationConfigurationCommandOutput,
} from "../commands/DeleteNotificationConfigurationCommand";
import {
  DeletePolicyCommandInput,
  DeletePolicyCommandOutput,
} from "../commands/DeletePolicyCommand";
import {
  DeleteScheduledActionCommandInput,
  DeleteScheduledActionCommandOutput,
} from "../commands/DeleteScheduledActionCommand";
import {
  DeleteTagsCommandInput,
  DeleteTagsCommandOutput,
} from "../commands/DeleteTagsCommand";
import {
  DeleteWarmPoolCommandInput,
  DeleteWarmPoolCommandOutput,
} from "../commands/DeleteWarmPoolCommand";
import {
  DescribeAccountLimitsCommandInput,
  DescribeAccountLimitsCommandOutput,
} from "../commands/DescribeAccountLimitsCommand";
import {
  DescribeAdjustmentTypesCommandInput,
  DescribeAdjustmentTypesCommandOutput,
} from "../commands/DescribeAdjustmentTypesCommand";
import {
  DescribeAutoScalingGroupsCommandInput,
  DescribeAutoScalingGroupsCommandOutput,
} from "../commands/DescribeAutoScalingGroupsCommand";
import {
  DescribeAutoScalingInstancesCommandInput,
  DescribeAutoScalingInstancesCommandOutput,
} from "../commands/DescribeAutoScalingInstancesCommand";
import {
  DescribeAutoScalingNotificationTypesCommandInput,
  DescribeAutoScalingNotificationTypesCommandOutput,
} from "../commands/DescribeAutoScalingNotificationTypesCommand";
import {
  DescribeInstanceRefreshesCommandInput,
  DescribeInstanceRefreshesCommandOutput,
} from "../commands/DescribeInstanceRefreshesCommand";
import {
  DescribeLaunchConfigurationsCommandInput,
  DescribeLaunchConfigurationsCommandOutput,
} from "../commands/DescribeLaunchConfigurationsCommand";
import {
  DescribeLifecycleHooksCommandInput,
  DescribeLifecycleHooksCommandOutput,
} from "../commands/DescribeLifecycleHooksCommand";
import {
  DescribeLifecycleHookTypesCommandInput,
  DescribeLifecycleHookTypesCommandOutput,
} from "../commands/DescribeLifecycleHookTypesCommand";
import {
  DescribeLoadBalancersCommandInput,
  DescribeLoadBalancersCommandOutput,
} from "../commands/DescribeLoadBalancersCommand";
import {
  DescribeLoadBalancerTargetGroupsCommandInput,
  DescribeLoadBalancerTargetGroupsCommandOutput,
} from "../commands/DescribeLoadBalancerTargetGroupsCommand";
import {
  DescribeMetricCollectionTypesCommandInput,
  DescribeMetricCollectionTypesCommandOutput,
} from "../commands/DescribeMetricCollectionTypesCommand";
import {
  DescribeNotificationConfigurationsCommandInput,
  DescribeNotificationConfigurationsCommandOutput,
} from "../commands/DescribeNotificationConfigurationsCommand";
import {
  DescribePoliciesCommandInput,
  DescribePoliciesCommandOutput,
} from "../commands/DescribePoliciesCommand";
import {
  DescribeScalingActivitiesCommandInput,
  DescribeScalingActivitiesCommandOutput,
} from "../commands/DescribeScalingActivitiesCommand";
import {
  DescribeScalingProcessTypesCommandInput,
  DescribeScalingProcessTypesCommandOutput,
} from "../commands/DescribeScalingProcessTypesCommand";
import {
  DescribeScheduledActionsCommandInput,
  DescribeScheduledActionsCommandOutput,
} from "../commands/DescribeScheduledActionsCommand";
import {
  DescribeTagsCommandInput,
  DescribeTagsCommandOutput,
} from "../commands/DescribeTagsCommand";
import {
  DescribeTerminationPolicyTypesCommandInput,
  DescribeTerminationPolicyTypesCommandOutput,
} from "../commands/DescribeTerminationPolicyTypesCommand";
import {
  DescribeTrafficSourcesCommandInput,
  DescribeTrafficSourcesCommandOutput,
} from "../commands/DescribeTrafficSourcesCommand";
import {
  DescribeWarmPoolCommandInput,
  DescribeWarmPoolCommandOutput,
} from "../commands/DescribeWarmPoolCommand";
import {
  DetachInstancesCommandInput,
  DetachInstancesCommandOutput,
} from "../commands/DetachInstancesCommand";
import {
  DetachLoadBalancersCommandInput,
  DetachLoadBalancersCommandOutput,
} from "../commands/DetachLoadBalancersCommand";
import {
  DetachLoadBalancerTargetGroupsCommandInput,
  DetachLoadBalancerTargetGroupsCommandOutput,
} from "../commands/DetachLoadBalancerTargetGroupsCommand";
import {
  DetachTrafficSourcesCommandInput,
  DetachTrafficSourcesCommandOutput,
} from "../commands/DetachTrafficSourcesCommand";
import {
  DisableMetricsCollectionCommandInput,
  DisableMetricsCollectionCommandOutput,
} from "../commands/DisableMetricsCollectionCommand";
import {
  EnableMetricsCollectionCommandInput,
  EnableMetricsCollectionCommandOutput,
} from "../commands/EnableMetricsCollectionCommand";
import {
  EnterStandbyCommandInput,
  EnterStandbyCommandOutput,
} from "../commands/EnterStandbyCommand";
import {
  ExecutePolicyCommandInput,
  ExecutePolicyCommandOutput,
} from "../commands/ExecutePolicyCommand";
import {
  ExitStandbyCommandInput,
  ExitStandbyCommandOutput,
} from "../commands/ExitStandbyCommand";
import {
  GetPredictiveScalingForecastCommandInput,
  GetPredictiveScalingForecastCommandOutput,
} from "../commands/GetPredictiveScalingForecastCommand";
import {
  PutLifecycleHookCommandInput,
  PutLifecycleHookCommandOutput,
} from "../commands/PutLifecycleHookCommand";
import {
  PutNotificationConfigurationCommandInput,
  PutNotificationConfigurationCommandOutput,
} from "../commands/PutNotificationConfigurationCommand";
import {
  PutScalingPolicyCommandInput,
  PutScalingPolicyCommandOutput,
} from "../commands/PutScalingPolicyCommand";
import {
  PutScheduledUpdateGroupActionCommandInput,
  PutScheduledUpdateGroupActionCommandOutput,
} from "../commands/PutScheduledUpdateGroupActionCommand";
import {
  PutWarmPoolCommandInput,
  PutWarmPoolCommandOutput,
} from "../commands/PutWarmPoolCommand";
import {
  RecordLifecycleActionHeartbeatCommandInput,
  RecordLifecycleActionHeartbeatCommandOutput,
} from "../commands/RecordLifecycleActionHeartbeatCommand";
import {
  ResumeProcessesCommandInput,
  ResumeProcessesCommandOutput,
} from "../commands/ResumeProcessesCommand";
import {
  RollbackInstanceRefreshCommandInput,
  RollbackInstanceRefreshCommandOutput,
} from "../commands/RollbackInstanceRefreshCommand";
import {
  SetDesiredCapacityCommandInput,
  SetDesiredCapacityCommandOutput,
} from "../commands/SetDesiredCapacityCommand";
import {
  SetInstanceHealthCommandInput,
  SetInstanceHealthCommandOutput,
} from "../commands/SetInstanceHealthCommand";
import {
  SetInstanceProtectionCommandInput,
  SetInstanceProtectionCommandOutput,
} from "../commands/SetInstanceProtectionCommand";
import {
  StartInstanceRefreshCommandInput,
  StartInstanceRefreshCommandOutput,
} from "../commands/StartInstanceRefreshCommand";
import {
  SuspendProcessesCommandInput,
  SuspendProcessesCommandOutput,
} from "../commands/SuspendProcessesCommand";
import {
  TerminateInstanceInAutoScalingGroupCommandInput,
  TerminateInstanceInAutoScalingGroupCommandOutput,
} from "../commands/TerminateInstanceInAutoScalingGroupCommand";
import {
  UpdateAutoScalingGroupCommandInput,
  UpdateAutoScalingGroupCommandOutput,
} from "../commands/UpdateAutoScalingGroupCommand";
export declare const se_AttachInstancesCommand: (
  input: AttachInstancesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AttachLoadBalancersCommand: (
  input: AttachLoadBalancersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AttachLoadBalancerTargetGroupsCommand: (
  input: AttachLoadBalancerTargetGroupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AttachTrafficSourcesCommand: (
  input: AttachTrafficSourcesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchDeleteScheduledActionCommand: (
  input: BatchDeleteScheduledActionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_BatchPutScheduledUpdateGroupActionCommand: (
  input: BatchPutScheduledUpdateGroupActionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CancelInstanceRefreshCommand: (
  input: CancelInstanceRefreshCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CompleteLifecycleActionCommand: (
  input: CompleteLifecycleActionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateAutoScalingGroupCommand: (
  input: CreateAutoScalingGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateLaunchConfigurationCommand: (
  input: CreateLaunchConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateOrUpdateTagsCommand: (
  input: CreateOrUpdateTagsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteAutoScalingGroupCommand: (
  input: DeleteAutoScalingGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteLaunchConfigurationCommand: (
  input: DeleteLaunchConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteLifecycleHookCommand: (
  input: DeleteLifecycleHookCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteNotificationConfigurationCommand: (
  input: DeleteNotificationConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeletePolicyCommand: (
  input: DeletePolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteScheduledActionCommand: (
  input: DeleteScheduledActionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteTagsCommand: (
  input: DeleteTagsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteWarmPoolCommand: (
  input: DeleteWarmPoolCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeAccountLimitsCommand: (
  input: DescribeAccountLimitsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeAdjustmentTypesCommand: (
  input: DescribeAdjustmentTypesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeAutoScalingGroupsCommand: (
  input: DescribeAutoScalingGroupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeAutoScalingInstancesCommand: (
  input: DescribeAutoScalingInstancesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeAutoScalingNotificationTypesCommand: (
  input: DescribeAutoScalingNotificationTypesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeInstanceRefreshesCommand: (
  input: DescribeInstanceRefreshesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeLaunchConfigurationsCommand: (
  input: DescribeLaunchConfigurationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeLifecycleHooksCommand: (
  input: DescribeLifecycleHooksCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeLifecycleHookTypesCommand: (
  input: DescribeLifecycleHookTypesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeLoadBalancersCommand: (
  input: DescribeLoadBalancersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeLoadBalancerTargetGroupsCommand: (
  input: DescribeLoadBalancerTargetGroupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeMetricCollectionTypesCommand: (
  input: DescribeMetricCollectionTypesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeNotificationConfigurationsCommand: (
  input: DescribeNotificationConfigurationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribePoliciesCommand: (
  input: DescribePoliciesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeScalingActivitiesCommand: (
  input: DescribeScalingActivitiesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeScalingProcessTypesCommand: (
  input: DescribeScalingProcessTypesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeScheduledActionsCommand: (
  input: DescribeScheduledActionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeTagsCommand: (
  input: DescribeTagsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeTerminationPolicyTypesCommand: (
  input: DescribeTerminationPolicyTypesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeTrafficSourcesCommand: (
  input: DescribeTrafficSourcesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeWarmPoolCommand: (
  input: DescribeWarmPoolCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DetachInstancesCommand: (
  input: DetachInstancesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DetachLoadBalancersCommand: (
  input: DetachLoadBalancersCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DetachLoadBalancerTargetGroupsCommand: (
  input: DetachLoadBalancerTargetGroupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DetachTrafficSourcesCommand: (
  input: DetachTrafficSourcesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisableMetricsCollectionCommand: (
  input: DisableMetricsCollectionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_EnableMetricsCollectionCommand: (
  input: EnableMetricsCollectionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_EnterStandbyCommand: (
  input: EnterStandbyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ExecutePolicyCommand: (
  input: ExecutePolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ExitStandbyCommand: (
  input: ExitStandbyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetPredictiveScalingForecastCommand: (
  input: GetPredictiveScalingForecastCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutLifecycleHookCommand: (
  input: PutLifecycleHookCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutNotificationConfigurationCommand: (
  input: PutNotificationConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutScalingPolicyCommand: (
  input: PutScalingPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutScheduledUpdateGroupActionCommand: (
  input: PutScheduledUpdateGroupActionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutWarmPoolCommand: (
  input: PutWarmPoolCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RecordLifecycleActionHeartbeatCommand: (
  input: RecordLifecycleActionHeartbeatCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ResumeProcessesCommand: (
  input: ResumeProcessesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RollbackInstanceRefreshCommand: (
  input: RollbackInstanceRefreshCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SetDesiredCapacityCommand: (
  input: SetDesiredCapacityCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SetInstanceHealthCommand: (
  input: SetInstanceHealthCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SetInstanceProtectionCommand: (
  input: SetInstanceProtectionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StartInstanceRefreshCommand: (
  input: StartInstanceRefreshCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_SuspendProcessesCommand: (
  input: SuspendProcessesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TerminateInstanceInAutoScalingGroupCommand: (
  input: TerminateInstanceInAutoScalingGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateAutoScalingGroupCommand: (
  input: UpdateAutoScalingGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const de_AttachInstancesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AttachInstancesCommandOutput>;
export declare const de_AttachLoadBalancersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AttachLoadBalancersCommandOutput>;
export declare const de_AttachLoadBalancerTargetGroupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AttachLoadBalancerTargetGroupsCommandOutput>;
export declare const de_AttachTrafficSourcesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AttachTrafficSourcesCommandOutput>;
export declare const de_BatchDeleteScheduledActionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchDeleteScheduledActionCommandOutput>;
export declare const de_BatchPutScheduledUpdateGroupActionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<BatchPutScheduledUpdateGroupActionCommandOutput>;
export declare const de_CancelInstanceRefreshCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CancelInstanceRefreshCommandOutput>;
export declare const de_CompleteLifecycleActionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CompleteLifecycleActionCommandOutput>;
export declare const de_CreateAutoScalingGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateAutoScalingGroupCommandOutput>;
export declare const de_CreateLaunchConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateLaunchConfigurationCommandOutput>;
export declare const de_CreateOrUpdateTagsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateOrUpdateTagsCommandOutput>;
export declare const de_DeleteAutoScalingGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteAutoScalingGroupCommandOutput>;
export declare const de_DeleteLaunchConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteLaunchConfigurationCommandOutput>;
export declare const de_DeleteLifecycleHookCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteLifecycleHookCommandOutput>;
export declare const de_DeleteNotificationConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteNotificationConfigurationCommandOutput>;
export declare const de_DeletePolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeletePolicyCommandOutput>;
export declare const de_DeleteScheduledActionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteScheduledActionCommandOutput>;
export declare const de_DeleteTagsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteTagsCommandOutput>;
export declare const de_DeleteWarmPoolCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteWarmPoolCommandOutput>;
export declare const de_DescribeAccountLimitsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeAccountLimitsCommandOutput>;
export declare const de_DescribeAdjustmentTypesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeAdjustmentTypesCommandOutput>;
export declare const de_DescribeAutoScalingGroupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeAutoScalingGroupsCommandOutput>;
export declare const de_DescribeAutoScalingInstancesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeAutoScalingInstancesCommandOutput>;
export declare const de_DescribeAutoScalingNotificationTypesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeAutoScalingNotificationTypesCommandOutput>;
export declare const de_DescribeInstanceRefreshesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeInstanceRefreshesCommandOutput>;
export declare const de_DescribeLaunchConfigurationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeLaunchConfigurationsCommandOutput>;
export declare const de_DescribeLifecycleHooksCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeLifecycleHooksCommandOutput>;
export declare const de_DescribeLifecycleHookTypesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeLifecycleHookTypesCommandOutput>;
export declare const de_DescribeLoadBalancersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeLoadBalancersCommandOutput>;
export declare const de_DescribeLoadBalancerTargetGroupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeLoadBalancerTargetGroupsCommandOutput>;
export declare const de_DescribeMetricCollectionTypesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeMetricCollectionTypesCommandOutput>;
export declare const de_DescribeNotificationConfigurationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeNotificationConfigurationsCommandOutput>;
export declare const de_DescribePoliciesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribePoliciesCommandOutput>;
export declare const de_DescribeScalingActivitiesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeScalingActivitiesCommandOutput>;
export declare const de_DescribeScalingProcessTypesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeScalingProcessTypesCommandOutput>;
export declare const de_DescribeScheduledActionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeScheduledActionsCommandOutput>;
export declare const de_DescribeTagsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeTagsCommandOutput>;
export declare const de_DescribeTerminationPolicyTypesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeTerminationPolicyTypesCommandOutput>;
export declare const de_DescribeTrafficSourcesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeTrafficSourcesCommandOutput>;
export declare const de_DescribeWarmPoolCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeWarmPoolCommandOutput>;
export declare const de_DetachInstancesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DetachInstancesCommandOutput>;
export declare const de_DetachLoadBalancersCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DetachLoadBalancersCommandOutput>;
export declare const de_DetachLoadBalancerTargetGroupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DetachLoadBalancerTargetGroupsCommandOutput>;
export declare const de_DetachTrafficSourcesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DetachTrafficSourcesCommandOutput>;
export declare const de_DisableMetricsCollectionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisableMetricsCollectionCommandOutput>;
export declare const de_EnableMetricsCollectionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<EnableMetricsCollectionCommandOutput>;
export declare const de_EnterStandbyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<EnterStandbyCommandOutput>;
export declare const de_ExecutePolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ExecutePolicyCommandOutput>;
export declare const de_ExitStandbyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ExitStandbyCommandOutput>;
export declare const de_GetPredictiveScalingForecastCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetPredictiveScalingForecastCommandOutput>;
export declare const de_PutLifecycleHookCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutLifecycleHookCommandOutput>;
export declare const de_PutNotificationConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutNotificationConfigurationCommandOutput>;
export declare const de_PutScalingPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutScalingPolicyCommandOutput>;
export declare const de_PutScheduledUpdateGroupActionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutScheduledUpdateGroupActionCommandOutput>;
export declare const de_PutWarmPoolCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutWarmPoolCommandOutput>;
export declare const de_RecordLifecycleActionHeartbeatCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RecordLifecycleActionHeartbeatCommandOutput>;
export declare const de_ResumeProcessesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ResumeProcessesCommandOutput>;
export declare const de_RollbackInstanceRefreshCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RollbackInstanceRefreshCommandOutput>;
export declare const de_SetDesiredCapacityCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SetDesiredCapacityCommandOutput>;
export declare const de_SetInstanceHealthCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SetInstanceHealthCommandOutput>;
export declare const de_SetInstanceProtectionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SetInstanceProtectionCommandOutput>;
export declare const de_StartInstanceRefreshCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StartInstanceRefreshCommandOutput>;
export declare const de_SuspendProcessesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<SuspendProcessesCommandOutput>;
export declare const de_TerminateInstanceInAutoScalingGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TerminateInstanceInAutoScalingGroupCommandOutput>;
export declare const de_UpdateAutoScalingGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateAutoScalingGroupCommandOutput>;
